using SqlSugar;
using System;

namespace DeviceRepair.Models
{
    [SugarTable("DeviceWarrantyEvaluator")]
    public class DeviceWarrantyEvaluatorInfo
    {
        /// <summary>
        /// 设备维修单评估信息主键编号 
        ///</summary>
        [SugarColumn(ColumnName = "AutoID", IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }

        /// <summary>
        /// 唯一编码 
        /// 默认值: (newid())
        ///</summary>
        [SugarColumn(ColumnName = "GUID")]
        public Guid Guid { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "FormID")]
        public int FormID { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "EvaluatorCode")]
        public string EvaluatorCode { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Description")]
        public string Description { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreatOn")]
        public DateTime CreatOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreateBy")]
        public int CreateBy { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreatorName")]
        public string CreatorName { get; set; }
    }
}
